set_exclamation_box_contents({
    { id = 0, unused = 0, firstByte = 0, model = E_MODEL_MARIOS_WING_CAP,  behavior = id_bhvWingCap },
    { id = 1, unused = 0, firstByte = 0, model = E_MODEL_MARIOS_METAL_CAP,  behavior = id_bhvMetalCap },
    { id = 2, unused = 0, firstByte = 0, model = E_MODEL_MARIOS_CAP,  behavior = id_bhvVanishCap },
    { id = 3, unused = 0, firstByte = 0, model = E_MODEL_KOOPA_SHELL,  behavior = id_bhvKoopaShell },
    { id = 4, unused = 0, firstByte = 0, model = E_MODEL_YELLOW_COIN,  behavior = id_bhvSingleCoinGetsSpawned },
    { id = 5, unused = 0, firstByte = 0, model = E_MODEL_NONE,  behavior = id_bhvThreeCoinsSpawn },
    { id = 6, unused = 0, firstByte = 0, model = E_MODEL_NONE,  behavior = id_bhvTenCoinsSpawn },
    { id = 7, unused = 0, firstByte = 0, model = E_MODEL_1UP,  behavior = id_bhv1upWalking },
    { id = 8, unused = 0, firstByte = 0, model = E_MODEL_STAR,  behavior = id_bhvSpawnedStar },
    { id = 9, unused = 0, firstByte = 0, model = E_MODEL_1UP,  behavior = id_bhv1upRunningAway },
    { id = 10, unused = 0, firstByte = 1, model = E_MODEL_STAR,  behavior = id_bhvSpawnedStar },
    { id = 11, unused = 0, firstByte = 2, model = E_MODEL_STAR,  behavior = id_bhvSpawnedStar },
    { id = 12, unused = 0, firstByte = 3, model = E_MODEL_STAR,  behavior = id_bhvSpawnedStar },
    { id = 13, unused = 0, firstByte = 4, model = E_MODEL_STAR,  behavior = id_bhvSpawnedStar },
    { id = 14, unused = 0, firstByte = 5, model = E_MODEL_STAR,  behavior = id_bhvSpawnedStar },
    { id = 15, unused = 0, firstByte = 5, model = E_MODEL_BLUE_COIN,  behavior = id_bhvMrIBlueCoin },
    { id = 16, unused = 0, firstByte = 0, model = E_MODEL_CHUCKYA,  behavior = id_bhvChuckya },
})

---@param obj Object
local function on_object_load(obj)
    if obj_has_behavior_id(obj.parentObj, id_bhvExclamationBox) ~= 0 then
        obj.oHomeX = obj.oPosX
        obj.oHomeY = obj.oPosY
        obj.oHomeZ = obj.oPosZ
    end
end
hook_event(HOOK_ON_OBJECT_LOAD, on_object_load)